routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'Frontend\PageController@landing')->name('landing');
Route::get('/about', 'Frontend\PageController@pageAbout')->name('page.about');
Route::post('/vehicle/detail', 'Frontend\PageController@showVehicle')->name('vehicle.detail');

Route::group(['middleware' => ['auth', 'role:member']], function () {
    Route::get('/booking/cart', 'Frontend\PageController@cart')->name('cart.index');
    Route::get('/booking/{company_id}/checkout', 'Frontend\PageController@checkout')->name('checkout');
    Route::get('/booking/{invoice}/confirm', 'Frontend\PageController@confirm')->name('confirm');
    Route::post('/booking/{invoice}/confirm', 'Frontend\PageController@confirmStore')->name('confirm.store');
    Route::post('/booking/{company_id}/checkout', 'Frontend\PageController@checkoutStore')->name('checkout.store');
    Route::post('/booking/cart', 'Frontend\PageController@addToCart')->name('cart.add');
    Route::post('/booking/cart/remove', 'Frontend\PageController@removeItemCart')->name('cart.remove');
    Route::post('/booking/cart/update', 'Frontend\PageController@updateCart')->name('cart.update');
    Route::post('/booking/cart/dateadd', 'Frontend\PageController@addDateCart')->name('cart.dateadd');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/account/profile', 'ProfileController@show')->name('profile.show');
Route::put('/account/profile', 'ProfileController@update')->name('profile.update');
Route::put('/account/profile/member', 'ProfileController@updateMember')->name('profile.update.member');

Route::group(['prefix' => 'main', 'middleware' => ['auth', 'role:admin']], function () {
    Route::get('user', 'Backend\UserController@index' )->name('user.index');
    Route::post('user', 'Backend\UserController@store' )->name('user.store');
    Route::get('user/create', 'Backend\UserController@create' )->name('user.create');
    Route::get('user/{id}/edit', 'Backend\UserController@edit' )->name('user.edit');
    Route::put('user/{id}/update', 'Backend\UserController@update' )->name('user.update');
    Route::delete('user/{id}', 'Backend\UserController@destroy' )->name('user.destroy');

    Route::resource('booking','Backend\BookingController', ['only' => ['index', 'show', 'update']]);
    Route::resource('payment','Backend\PaymentController', ['only' => ['index', 'show', 'update']]);
    Route::resource('company','Backend\CompanyController', ['only' => ['index', 'show']]);
    Route::post('company.verification', 'Backend\CompanyController@verification')->name('company.verification');
    Route::resource('payouts', 'Backend\PayoutController', ['only' => ['index', 'show', 'update']]);
});

Route::group(['prefix' => 'intern', 'middleware' => ['auth', 'role:member']], function () {
    Route::resource('vehicle', 'Frontend\VehicleController');
    Route::resource('payout','Frontend\PayoutController', ['only' => ['index', 'show', 'create', 'store']]);
    Route::resource('transaction_in', 'Frontend\TransInController', ['only' => ['index', 'show', 'edit', 'update']]);
    Route::resource('transaction_out', 'Frontend\TransOutController', ['only' => ['index', 'show']]);
});

app/Http/Controllers/Backend/BookingController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\File;
use Yajra\Datatables\Datatables;
use App\Booking;
use App\BookingDetail;
use Auth;
use Session;
use Carbon\Carbon;

class BookingController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $bookings = Booking::with('customer', 'customer.company');

            if ($request->get('status') != null) {
                if ($request->status != 'all') {
                    $bookings->whereStatus($request->status);
                }
            }

            $bookings = $bookings->select('bookings.*');

            return Datatables::of($bookings)
                ->addIndexColumn()
                ->addColumn('action', function ($booking) {
                    return view('partials._action', [
                        'model'           => $booking,
                        'show_url'        => route('booking.show', $booking->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.bookings.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $booking = Booking::find($id);

        $end = Carbon::parse($booking->end_date);
        $start = Carbon::parse($booking->start_date);
        $diff_days = $end->diffInDays($start) + 1;

        return view('backend.bookings.show')->with(compact('booking', 'diff_days'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $booking = Booking::find($id);
        $booking->status = 300;
        $booking->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Penyewaan ini berhasil diselesaikan"
        ]);

        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Backend/CompanyController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\File;
use Yajra\Datatables\Datatables;
use App\User;
use App\Company;
use Session;

class CompanyController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $companies = Company::with('user');

            if ($request->get('verification') != null) {
                if ($request->verification != 'all') {
                    $companies->where('is_verification', $request->verification);
                }
            }

            $companies = $companies->select('companies.*');

            return Datatables::of($companies)
                ->addIndexColumn()
                ->addColumn('action', function ($company) {
                    return view('partials._action', [
                        'model'       => $company,
                        'show_url'    => route('company.show', $company->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.companies.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $company = Company::find($id);
        $id_crypt = Crypt::encrypt($id);
        return view('backend.companies.show')->with(compact('company', 'id_crypt'));
    }

    public function verification(Request $request)
    {
        $id = Crypt::decrypt($request->tokenizer);

        $company = Company::find($id);
        $company->is_verification = 1;
        $company->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Perusahaan ini berhasil diverifikasi"
        ]);

        return redirect()->back();
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Backend/PaymentController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\File;
use Yajra\Datatables\Datatables;
use App\Payment;
use App\Booking;
use App\BookingDetail;
use Auth;
use Session;
use Carbon\Carbon;

class PaymentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $payments = Payment::with('booking');

            if ($request->get('verification') != null) {
                if ($request->verification != 'all') {
                    $payments->whereIsVerification($request->verification);
                }
            }

            $payments = $payments->select('payments.*');

            return Datatables::of($payments)
                ->addIndexColumn()
                ->addColumn('action', function ($payment) {
                    return view('partials._action', [
                        'model'           => $payment,
                        'show_url'        => route('payment.show', $payment->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.payments.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $payment = Payment::find($id);
        $booking = Booking::find($id);

        $end = Carbon::parse($booking->end_date);
        $start = Carbon::parse($booking->start_date);
        $diff_days = $end->diffInDays($start) + 1;

        return view('backend.payments.show')->with(compact('payment', 'booking', 'diff_days'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $payment = Payment::find($id);
        $payment->is_verification = 1;
        $payment->save();

        $booking = Booking::find($payment->booking_id);
        $booking->is_paid = 1;
        $booking->status = 200;
        $booking->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Pembayaran ini berhasil diverifikasi"
        ]);

        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Backend/PayoutController.php
<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Support\Facades\File;
use Yajra\Datatables\Datatables;
use App\User;
use App\Company;
use App\Booking;
use App\Payout;
use Auth;
use Session;
use Carbon\Carbon;

class PayoutController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {

            $payouts = Payout::with('company', 'admin');

            if ($request->get('status') != null) {
                if ($request->status != 'all') {
                    $payouts->whereStatus($request->status);
                }
            }

            $payouts = $payouts->select('payouts.*');

            return Datatables::of($payouts)
                ->addIndexColumn()
                ->addColumn('action', function ($payout) {
                    return view('partials._action', [
                        'model'           => $payout,
                        'show_url'        => route('payouts.show', $payout->id)
                    ]);
                })
                ->escapeColumns([])
                ->make(true);
        }

        return view('backend.payouts.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $payout = Payout::find($id);

        return view('backend.payouts.show')->with(compact('payout'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        if ($request->status == 10) {
            $this->validate($request, [
                'reject_reason' => 'required|string'
            ]);
            $is_payout = 0;
        } else {
            $this->validate($request, [
                'image' => 'required|image'
            ]);
            $is_payout = 1;
        }

        $payout = Payout::find($id);
        $payout->admin_id = Auth::user()->id;
        $payout->status = $request->status;
        $payout->is_payout = $is_payout;

        if ($request->hasFile('image')) {
            // megnambil image yang diupload berikut ekstensinya
            $filename = null;
            $uploaded_image = $request->file('image');
            $extension = $uploaded_image->getClientOriginalExtension();
            // membuat nama file random dengan extension
            $filename = uniqid() . '.' . $extension;
            $destinationPath = public_path() . DIRECTORY_SEPARATOR . 'uploads' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'payouts';
            // memindahkan file ke folder public/images
            $uploaded_image->move($destinationPath, $filename);

            $payout->image = $filename;
        }

        if ($request->status == 10) {
            $payout->reject_reason = $request->reject_reason;
        }

        $payout->save();

        Session::flash("flash_notification", [
            "level" => "success",
            "message" => "Pencairan ini berhasil diproses"
        ]);

        return redirect()->route('payouts.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/backend/bookings/index.blade.php
@extends('layouts.main')

@section('content')
  <section class="section">
    <div class="section-header">
      <h1>Transaksi Penyewaan</h1>
    </div>

    <div class="d-sm-flex align-items-center justify-content-start mb-4">
      {{-- <a class="btn btn-sm btn-danger mr-auto" href="{{ route('vehicle.create') }}"><i class="fa fa-plus"></i> Tambah Transaksi Masuk</a>  --}}
      <div class="form-inline">
        <label>Filter Status</label>
        <select name="status" class="form-control-sm ml-2">
          <option value="all">Semua</option>
          <option value="100">Menunggu Pembayaran</option>
          <option value="200">Telah Dibayar</option>
          <option value="300">Selesai</option>
          <option value="10">Dibatalkan</option>
        </select>
        <button class="btn btn-sm btn-danger ml-2" id="btn-filter"><i class="fas fa-filter"></i></button>
      </div>
    </div>

    <div class="row">
      <div class="col-lg-12">

        <!-- Basic Card Example -->
        <div class="card card-danger">
          <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold">List Transaksi Penyewaan</h6>
          </div>
          <div class="card-body">

          <div class="table-responsive">
            <table class="table table-striped datatable">
              <thead>                                 
                <tr>
                  <th>#</th>
                  <th>Invoice</th>
                  <th>Customer</th>
                  <th>Tgl. Sewa</th>
                  <th>Tgl. Selesai</th>
                  <th>Jml. Bus</th>
                  <th>Total Harga</th>
                  <th>Status</th>
                  <th>Aksi</th>
                </tr>
              </thead>
              <tbody></tbody>
            </table>
          </div>

          </div>
        </div>
      </div>
    </div>
  </section>
@endsection
@section('script')
<script>
  $(document).ready(function() {
      $('.datatable').DataTable({
          processing: true,
          serverSide: true,
          autoWidth: false,
          language: {
              url: '{{ asset('assets/stisla/modules/datatables/lang/Indonesian.json') }}'
          },
          ajax: {
            url: '{{ route('booking.index') }}',
            data: function (d) {
              d.status = $('select[name=status]').val()
            }
          },
          columns: [
            {data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false},
            {data: 'invoice', name: 'invoice'},
            {data: null, name: 'customer.name', render: function ( data, type, row ) {
              return data.customer.name + '<br><small>(' + data.customer.company.name + ')</small>';
            }},
            {data: 'start_date', name: 'start_date'},
            {data: 'end_date', name: 'end_date'},
            {data: 'vehicle_total', name: 'vehicle_total'},
            {data: null, name: 'price_total', render: function ( data, type, row ) {
              return 'Rp ' + numberFormat(parseInt(data.price_total));
            }},
            {data: 'display_status', name: 'status', orderable: false, searchable: false},
            {data: 'action', name: 'action', orderable: false, searchable: false},
          ]
      });

      $('#btn-filter').click(function(){
         $('.datatable').DataTable().draw(true);
      });

      $(document).on('click','.js-submit-confirm', function(e){
          e.preventDefault();
          swal({
            title: 'Apakah anda yakin ingin menghapus?',
            text: 'Data yang sudah dihapus, tidak dapat dikembalikan!',
            icon: 'warning',
            buttons: true,
            dangerMode: true,
          })
          .then((willDelete) => {
            if (willDelete) {
              $(this).closest('form').submit();
            } 
          });
      });
  });

  function numberFormat(x) {
    return x.toString().replace(/\B(?<!\.\d*)(?=(\d{3})+(?!\d))/g, ".");
  }

</script>
@endsection

resources/views/backend/bookings/show.blade.php
@extends('layouts.main')

@section('css')
    <style>
      .param {
          margin-bottom: 7px;
          line-height: 1.4;
      }
      .param-inline dt {
          display: inline-block;
      }
      .param dt {
          margin: 0;
          margin-right: 7px;
          font-weight: 600;
      }
      .param-inline dd {
          vertical-align: baseline;
          display: inline-block;
      }

      .param dd {
          margin: 0;
          vertical-align: baseline;
      } 

      .shopping-cart-wrap .price {
          color: #007bff;
          font-size: 15px;
          font-weight: bold;
          margin-right: 5px;
          display: block;
      }
      var {
          font-style: normal;
      }

      .media img {
          margin-right: 1rem;
      }
      .img-sm {
          width: 90px;
          max-height: 75px;
          object-fit: cover;
      }
    </style>
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/stisla/modules/bootstrap-daterangepicker/daterangepicker.css') }}">
@endsection

@section('content')
  <section class="section">
    <div class="card mb-4">
      <div class="card-header py-3">
        <h6 class="m-0 font-weight-bold text-primary">Detail Transaksi</h6>
      </div>
      <div class="card-body">
        
        <div class="row">
          <div class="col-md-8">
            <div class="card card-danger">
              <div class="card-header">
                Sewa dari : &nbsp;<strong>{{ $booking->company->name }}</strong> &nbsp; - Untuk : &nbsp;<strong>{{ $booking->customer->company->name }}</strong>
              </div>
              <div class="card-body">
                <div class="row">
                  <form action="" id="frm-date" class="form-inline col-md-12" method="post">
                    <label class="mb-2">Tanggal Sewa</label>
                    <strong class="mb-2 ml-2">{{ $booking->start_date ?? date('Y-m-d') }} sd {{ $booking->end_date ?? date('Y-m-d') }}</strong>
                  </form>
                </div>
                <table class="table table-bordered table-hover shopping-cart-wrap">
                  <thead class="text-muted">
                  <tr>
                    <th scope="col">Bus</th>
                    <th scope="col" width="150">Jumlah</th>
                    <th class="text-right" scope="col" width="180">Total Harga</th>
                  </tr>
                  </thead>
                    <tbody>
                      @php $subtotal = 0; @endphp
                      @foreach ($booking->details as $item)
                        @php
                          $price_total = ((int) $item->price) * $item->quantity;
                          $subtotal += $price_total;
                        @endphp
                        <tr>
                          <td>
                            <figure class="media mt-2">
                              <div class="img-wrap"><img src="{{ asset('uploads/images/vehicles/'. $item->vehicle->image) }}" class="img-thumbnail img-sm"></div>
                              <figcaption class="media-body">
                                <h6 class="title text-truncate">{{ $item->name }}</h6>
                                <dl class="param param-inline small">
                                  <dt>Seat : </dt>
                                  <dd>{{ $item->seat }}</dd>
                                </dl>
                                <dl class="param param-inline small text-danger">
                                  <dt>Harga : </dt>
                                  <dd>Rp {{ rupiah((int) $item->price) }}</dd>
                                </dl>
                              </figcaption>
                            </figure> 
                          </td>
                          <td> 
                            <input type="text" value="{{ $item->quantity }}" class="form-control" disabled>
                          </td>
                          <td class="text-right"> 
                            <div class="price-wrap"> 
                              <var class="price">Rp {{ rupiah($price_total) }}</var> 
                            </div>
                          </td>
                        </tr>
                      @endforeach
                    </tbody>
                    <tfoot>
                      @if ($booking)
                        <tr>
                          <th class="text-right" colspan="2">Subtotal</th>
                          <td class="text-right">
                            <div class="price-wrap"> 
                              <var class="price">Rp {{ rupiah($subtotal) }}</var> 
                            </div>
                          </td>
                        </tr>
                        <tr>
                          <th class="text-right" colspan="2">Lama Sewa</th>
                          <td class="text-right">
                            <div class="price-wrap"> 
                              <var class="price"><span id="days">{{ $diff_days }}</span> Hari</var> 
                            </div>
                          </td>
                        </tr>
                        <tr>
                          <th class="text-right" colspan="2">Total</th>
                          <td class="text-right">
                            <div class="price-wrap"> 
                              <var class="price">Rp {{ rupiah($subtotal * $diff_days) }}</var> 
                            </div>
                          </td>
                        </tr>
                      @endif
                    </tfoot>
                  </table>
              </div>
            </div>
          </div>
          <div class="col-md-4">
            <div class="card card-danger">
              <div class="card-header">
                Info
              </div>
              <div class="card-body">
                <form id="frm-payment" action="" method="post">
                  @csrf
                  <div class="form-group {{ $errors->has('method') ? ' has-error' : '' }}">
                    <label for="method" class="d-block">Metode pembayaran</label>
                    <select name="method" class="form-control select2" disabled>
                      @foreach (config('app-data.payment_method') as $key => $item)
                        <option value="{{ $key }}" {{ $booking->payment_method == $key ? 'selected' : '' }}>{{ $item }}</option>
                      @endforeach
                    </select>
                    @if ($errors->has('method'))
                      <div class="invalid-feedback">
                        <strong>{{ $errors->first('method') }}</strong>
                      </div>
                    @endif
                  </div>
                  <div class="form-group {{ $errors->has('notes') ? ' has-error' : '' }}">
                    <label for="notes" class="d-block">Catatan</label>
                    <input type="text" class="form-control" name="notes" value="{{ $booking->notes }}" disabled>
                    @if ($errors->has('notes'))
                      <div class="invalid-feedback">
                        <strong>{{ $errors->first('notes') }}</strong>
                      </div>
                    @endif
                  </div>
                  <div class="form-group {{ $errors->has('status') ? ' has-error' : '' }}">
                    <label for="status" class="d-block">Status</label>
                    <input type="text" class="form-control" name="status" value="{{ $booking->display_status }}" disabled>
                    @if ($errors->has('status'))
                      <div class="invalid-feedback">
                        <strong>{{ $errors->first('status') }}</strong>
                      </div>
                    @endif
                  </div>
                </form>
              </div>
            </div>
            @if ($booking->status == 10)
              <div class="alert alert-danger alert-has-icon">
                <div class="alert-icon"><i class="fa fa-info"></i></div>
                <div class="alert-body">
                  <div class="alert-title">Booking Dibatalkan</div>
                  <strong>Alasan :</strong> <br> {{ $booking->reject_reason }}
                </div>
              </div>
            @endif
            @if ($booking->status == 200) 
              <div class="card card-success">
                <div class="card-header">
                  Form Penyelesain Sewa
                </div>
                <div class="card-body">
                  <form id="frm-reject" action="{{ route('booking.update', $booking->id) }}" method="post">
                    @csrf
                    @method('patch')
                    <button class="btn btn-success btn-block">Selesaikan Booking Ini</button>
                  </form>
                </div>
              </div>
            @endif
          </div>
        </div>
            
      </div>
    </div>
  </section>

@endsection

@section('script')
  <script type="text/javascript" src="{{ asset('assets/stisla/modules/bootstrap-daterangepicker/daterangepicker.js') }}"></script>
  <script>
    function numberFormat(x) {
      return x.toString().replace(/\B(?<!\.\d*)(?=(\d{3})+(?!\d))/g, ".");
    }

    function diffDays(start, end) {
      var a = new Date(start),
      b = new Date(end),
      c = 24*60*60*1000,
      diffDays = Math.round(Math.abs((a - b)/(c)));
      return diffDays;
    }

    @if(Session::has('swal_notification.message'))
      var type = "{{ Session::get('swal_notification.level', 'info') }}";
      switch(type){
        case 'success':
          swal(
            'Sukses!',
            '{{ Session::get('swal_notification.message') }}',
            'success'
          );
          break;

        case 'error':
          swal(
            'Gagal!',
            '{{ Session::get('swal_notification.message') }}',
            'error'
          );
          break;
      }
    @endif
  </script>
@endsection